#include <stdio.h>

int power(x, i)
int x,i;
{
    if (i==0) return(1);
    if (i<0) return(1/power(x,-i)); /* rekursiver Aufruf power */
    printf("funkt.: %d %d\n", x, i);
    return(x * power(x,i-1));       /* rekursiver Aufruf power */
}

main()
{
    printf("Das Ergebnis lautet: %d\n",power(2,3));
}
